import '../../css/selectCharacter.css';
import arrowPic from '../../assets/arrow.png'

function SelectionCharacter({ onClickedLeft, onClickedRight, nameChar, onClickedButton }) {

    return (
        <div className="selection-container">
            <div className="button left" onClick={onClickedLeft}>
                <img src={arrowPic} alt="Left Character" />
            </div>
            <button onClick={onClickedButton} className="textBox">
                {nameChar}
            </button>
            <div className="button right" onClick={onClickedRight}>
                <img src={arrowPic} alt="Right Character" style={{ transform: 'rotate(180deg)' }}/>
            </div>
        </div>
    );
}

export default SelectionCharacter;
