function IntroductionData({ onClickedIntroduction }) {
    return (
        <div 
            onClick={onClickedIntroduction}
            style={{
                position: "fixed",
                top: 0,
                left: 0,
                width: "100vw",
                height: "100vh",
                background: "rgba(var(--black), 0.5)",
                display: 'flex',
                justifyContent: 'center',
                alignItems: 'center',
                zIndex: 1
            }}
        >
            <label style={{ color: "rgb(var(--white))", fontWeight: "bold" }}>
                You are a new student who just <br />
                transferred to this school not long ago. <br />
                You don't know anyone yet, <br />
                but eventually you meet...
            </label>
        </div>
    );
}

export default IntroductionData;
